Skip to main content
PATCH
/
tasks
/
{id}
Update a task
curl --request PATCH \
  --url https://{your-subdomain}.neetocrm.com/api/external/v1/tasks/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <x-api-key>' \
  --data '
{
  "task": {
    "title": "Follow up with Eve",
    "description": "Send proposal",
    "status": "pending",
    "priority": "high",
    "due_date": "2024-01-15",
    "due_time": "14:00",
    "owner_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "contact_id": 1,
    "company_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "deal_id": 1,
    "lead_id": 1
  }
}
'
{
  "task": {
    "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "title": "Follow up with Eve",
    "description": "Send proposal",
    "status": "pending",
    "priority": "high",
    "due_date": "2025-03-20",
    "due_time": "14:00",
    "owner_id": null,
    "contact_id": "c1d2e3f4-a5b6-7890-cdef-123456789012",
    "company_id": null,
    "deal_id": null,
    "lead_id": null,
    "organization_id": "org-123",
    "owner": null,
    "created_at": "2025-03-15T10:30:00.000Z",
    "updated_at": "2025-03-15T10:30:00.000Z"
  }
}
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Identifying your subdomain.

Headers

X-Api-Key
string
required

X-Api-Key is used to authenticate requests using an API key. Provide your API key in this header to access protected endpoints. Refer to Authentication for more information.

Path Parameters

id
string
required

The ID of the task to update. You can get the task id by listing all tasks using our List all tasks API.

Body

application/json
task
object

Response

200 - application/json

Task updated successfully.

task
object